Bug 51817 - Moving variables up and down in User Defined Variables control.
Moving variables up and down in User Defined Variables control.
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.5.1
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-09-15 11:51 UTC by Adrian Bala
Modified: 2011-10-12 17:41 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Bala 2011-09-15 11:51:33 UTC
It would be very useful to have possibility of moving variables up and down in User Defined Variables control. For now it is hard to change the order of variables and all what can be done is to add new variable to the end of list.

Would be better and more useful to change the order of newly defined variables in order to place them among the other in similar set of variables used in characteristic or unusual test cases.
Comment 1 Sebb 2011-09-15 15:42:29 UTC
A work-round is to edit the JMX file.
Comment 2 Philippe Mouawad 2011-10-07 20:33:53 UTC
New Revision: 1180205

URL: http://svn.apache.org/viewvc?rev=1180205&view=rev
Log:
Bug 51817 - Moving variables up and down in User Defined Variables control.

Fixed a ConcurrentModificationException in ObjectTableModel#moveRow I had to use.

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/src/jorphan/org/apache/jorphan/gui/ObjectTableModel.java

New Revision: 1180206

URL: http://svn.apache.org/viewvc?rev=1180206&view=rev
Log:
Bug 51817 - Moving variables up and down in User Defined Variables control.

Modified:
   jakarta/jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2011-10-12 17:41:29 UTC
Date: Wed Oct 12 17:27:00 2011
New Revision: 1182486

URL: http://svn.apache.org/viewvc?rev=1182486&view=rev
Log:
Bug 51817 - Moving variables up and down in User Defined Variables control.

Fix to milamber mail on dev list
Factored constructors
Added a boolean to enable up/down buttons

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/config/gui/ArgumentsPanel.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/functions/gui/FunctionHelper.java